Draft Arc 3Points

From FreeCAD Documentation
Jump to navigation Jump to search
This page contains changes which are not marked for translation.
Under construction icon-blue.svg
This documentation is work in progress. Please don't mark it as translatable since it will change the next hours and days.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Circle Draft Circle.svg Arrow-right.svg

Draft Arc 3Points.svg Draft Arc 3Points

Menu location
Drafting → Arc tools → Arc by 3 points
Workbenches
Draft, Arch
Default shortcut
A T
Introduced in version
0.19
See also
Draft Arc, Draft Circle

Description

The Draft Arc 3Points.svg Draft Arc 3Points command creates a circular arc in the current working plane by entering three points that lie on its circumference. The center and radius are determined from these three points. It uses the Draft Linestyle set on the Draft Tray.

Draft Arc 3Points example.png

Arc defined by three points lying on its circumference

Usage

  1. There are several ways to invoke the command:
    • Press the Draft Arc 3Points.svg Draft Arc 3Points button.
    • Select the Drafting → Arc tools → Draft Arc 3Points.svg Arc by 3 points option from the menu.
    • Use the keyboard shortcut: A then T.
  2. Click the first point in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button in the related Line task panel.
  3. Click the second point in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button in the related Line task panel.
  4. Click the third point in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button in the related Line task panel.

Options

  • Press X, Y or Z after one point to constrain the following point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
    • You can press the Draft AddPoint.svg Enter point button when you have entered the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the following point are relative to the previous one; if not, they are absolute, taken from the origin (0, 0, 0).
  • Hold Shift while drawing to constrain your next point horizontally or vertically in relation to the previous one.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Arc can be edited with the Draft Edit command.

Properties

A Draft Arc is in fact a Draft Circle with a DataFirst Angle that is not the same as its DataLast Angle and has the same properties.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Arc by 3 points use the make_arc_3points method of the Draft module:

arc = make_arc_3points(points, placement=None, face=False, support=None, map_mode="Deactivated", primitive=False)
  • Creates an arc object from the given points list.
  • If a placement is given, the center of the circular arc will be moved to this place. See Placement for more information.
  • If face is True, the arc will make a face, that is, it will appear filled.
  • If support is given, it is a LinkSubList, that is, a list indicating an object and a subelement of that object. This is used so that the object appears referenced to this support.
For example: support=[(obj, ("Face1"))].
  • If map_mode is given, it is a string defining a type of mapping, for example: map_mode='FlatFace', map_mode='ThreePointsPlane', etc. See Part Attachment for more information.
  • If primitive is True, the arc created will be a simple Part Feature, not a complex Draft object.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

points = [App.Vector(0, 0, 0),
          App.Vector(5, 10, 0),
          App.Vector(10, 0, 0)]

arc = Draft.make_arc_3points(points)

doc.recompute()


Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Circle Draft Circle.svg Arrow-right.svg